
Core - Bug # 38736

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: Backend User Interface
Created: 2012-07-07 Assigned To: Benjamin Mack
Updated: 2014-11-15 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Cleanup TCEform FlexForm section HTML and JS code
Description

The existing JS code for TCEform FlexForm sections is messy, mostly inline and not easy to maintain, the first part of the cleanup
streamlines the HTML and the JavaScript.

    -  Adds a jQuery version of the JavaScript features
for TCEform FlexForms, and include them in
the TYPO3 rendering call when accessing
TCEforms FlexForms.

    -  Adds clean "t3-flex" prefixed CSS classes for all
components of FlexForms sections. Added styling
for the components with the new classes

    -  Removes all existing inline JS code for FlexForms
    -  Adds minor bug fixes (no title output for section

elements, preview text will be rendered on load on
hidden section elements)

    -  Reviewed existing ACTION code in TCEmain 
for flexform elements

Associated revisions
Revision 1460e9ec - 2014-11-15 11:33 - Benjamin Mack

[CLEANUP] Rewrite JS/HTML part of Flexform sections

    -  Adds a jQuery version of the JavaScript features
   for TCEform FlexForms, and include them in
   the TYPO3 rendering call when accessing
   TCEforms FlexForms. * Adds clean "t3-flex" prefixed CSS classes for all
   components of FlexForms sections. Added styling
   for the components with the new classes * Removes all existing inline JS code for FlexForms * Adds minor bug fixes (no title output for section
   elements, preview text will be rendered on load on
   hidden section elements) * Reviewed existing ACTION code in TCEmain
   for flexform elements

One minor side note is that sorting is not working, which
will immediately be replaced with jquery ui in a followup
patch.
Resolves: #38736
Releases: master
Change-Id: I9fadf06d3271dd771489fcdd182cddf9542b59fd
Reviewed-on: http://review.typo3.org/12698
Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: Oliver Hader <oliver.hader@typo3.org>

History
#1 - 2012-07-07 21:25 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12698

#2 - 2012-07-08 17:05 - Steffen Ritter
- Category set to Backend User Interface
- Assigned To set to Benjamin Mack
- Parent task set to #38755

#3 - 2014-09-09 12:32 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#4 - 2014-09-09 14:05 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#5 - 2014-11-08 16:21 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#6 - 2014-11-13 16:36 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#7 - 2014-11-13 16:46 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#8 - 2014-11-14 10:27 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#9 - 2014-11-15 11:28 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12698

#10 - 2014-11-15 12:00 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1460e9ec6124059487e9523f997a20abe33dcff1.
